0

I am upgrading from Expression Engine 2 to 3. The upgrade was stopped and the following is the message I received:

Error While Installing 3.4.1 Stopped Oops, there was an error

ExpressionEngine appears to already be installed on your database, even though your config file is blank. If you are attempting to update ExpressionEngine from a previous version restore your config file first, then run this installation wizard again.

HOW DO I PROCEED?

Thanks

1

EE2 and EE3 have their config files in different directories. Did you do these two things?

Copy system/expressionengine/config/config.php to system/user/config/config.php
Copy system/expressionengine/config/database.php to system/user/config/database.php

From https://docs.expressionengine.com/latest/installation/upgrade_from_2.x.html

| improve this answer | |
  • Thank you for your answer. I haven't done the two things you suggested. I will try doing it. – M.Robinson Aug 16 '16 at 17:45
  • Many thanks for answer, it was spot on. It all works. – M.Robinson Aug 16 '16 at 21:14
  • Glad it worked, can you mark this answer as completed? – Michael McGhee Aug 16 '16 at 22:29

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.